#
# spec file for package libretro-database
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-database
Version:        1.8.5
Release:        bp155.2.9
Summary:        RetroArch Database
License:        MIT
Group:          System/Emulators/Other
URL:            https://github.com/libretro/%{name}

Source:         https://github.com/libretro/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  fdupes
BuildRequires:  make
BuildArch:      noarch

Requires:       retroarch

%description
RetroArch incoporates a ROM scanning system to automatically produce playlists.
Each ROM that is scanned by the playlist generator is checked against a database
of ROMs that are known to be good copies.

This package provides data to allow RetroArch identify ROMs and generate playlists.

%prep
%setup -q

%build

%install
%make_install

%fdupes -s %{buildroot}

%files
%license COPYING
%dir %{_datadir}/libretro
%{_datadir}/libretro/database

%changelog
* Thu Mar 26 2020 Yunhe Guo <i@guoyunhe.me>
- Version 1.8.5
  * Fix tic80 cheats documentation
  * Renmae BIOS.dat to System.dat
  * Add Nintendo Famicon cheats
  * Add TurboGrax16 new Cheats
  * Move summonthethunder's cheats to NES
  * Create Nintendo - Nintendo Entertainment System.dat
  * Add Nintendo Famicon
  * Add N64 cheats
  * Add Nintendo Game Boy cheats
  * Add TurboGrafx-16 CD cheats
  * Add SNES cheats
  * Update MAME 0.218
  * Full changes at https://github.com/libretro/libretro-database/compare/v1.8.4...v1.8.5
* Fri Jan 17 2020 Yunhe Guo <i@guoyunhe.me>
- Version 1.8.4
  * Update Sony - PlayStation
  * Update FBNeo
  * Fix PS1 list serial code
  * Update PSX, PSP, PS2
  * Full changes at https://github.com/libretro/libretro-database/compare/v1.8.2...v1.8.4
* Fri Jan 10 2020 Yunhe Guo <i@guoyunhe.me>
- Version 1.8.2
  * Update Resident Evil 3 - Nemesis (Demo) (USA, Europe) (GameShark).cht
  * Create Resident Evil 3 - Nemesis (NTSC-U) (USA, Europe) (GameShark).cht
  * Create Beavis and Butt-Head (USA) (GameGenie)
  * Create Comix Zone (USA) (GameGenie)
  * Create Doom Troopers (USA) (GameGenie)
  * Update Gaiares (USA, Japan) (Action Replay).cht
  * Create RoboCop versus The Terminator (USA) (GameGenie)
  * Update Beavis and Butt-Head (USA, Europe) (Action Replay).cht
  * Added SIGIL v1.21
  * Full changes at https://github.com/libretro/libretro-database/compare/v1.7.8...v1.8.2
* Sun Sep 22 2019 Yunhe Guo <i@guoyunhe.me>
- Version 1.7.8
